%define           wxversion 3.0.2
%define           debug_package %{nil}
Name		: veracrypt
Version		: 1.18
Release		: beta5.0%{?dist}
License		: Distributable
Summary		: A cross-platform disk encryption software
Group		: Applications/System
URL		: https://veracrypt.codeplex.com/
Packager        : René Vermare <rene@vermare.nl>
Vendor          : Dr. Linux, https://repo.vermare.nl/yum/
Source0         : %{name}_%{version}_beta5_Source.tar.bz2
Source1         : wxWidgets-%{wxversion}.tar.bz2
BuildRoot       : %{_tmppath}/%{name}-buildroot
BuildRequires	: gcc, gcc-c++, gtk2-devel, nasm, fuse-devel, makeself, bzip2, tar, gzip
Requires        : atk, cairo, expat, graphite2, fontconfig, freetype, fuse-libs, gdk-pixbuf2, glib2, glibc, gtk2, harfbuzz, libdrm, libffi, libgcc, libICE, libpng, libselinux, libSM, libstdc++, libwayland-client, libwayland-server, libX11, libXau, libxcb, libXcomposite, libXcursor, libXdamage, libXext, libXfixes, libXi, libXinerama, libXrandr, libXrender, libXxf86vm, mesa-libEGL, mesa-libgbm, mesa-libGL, mesa-libglapi, pango, pcre, pixman, systemd-libs, xz-libs, zlib

Patch0: veracrypt-gcc5-abi.patch


%description
VeraCrypt is a free open-source on-the-fly disk encryption software for
Windows Vista/XP, Mac OS X, and Linux. This package contains the universal
executable supporting both graphical and text UI.

%prep
rm -rf $RPM_BUILD_DIR/%{name}*
rm -rf %{buildroot}

%setup -q -c -n %{name}-%{version}

%{__tar} xf %{SOURCE1} --directory $RPM_BUILD_DIR/%{name}-%{version}/src/

%patch0 -p1 -b .GCC5-ABI

%build
cd src
make WXSTATIC=1 WX_ROOT=$(pwd)/wxWidgets-%{wxversion} wxbuild

make WXSTATIC=1

%install
mkdir -p %{buildroot}/usr/bin %{buildroot}/usr/share/applications %{buildroot}/usr/share/veracrypt/doc %{buildroot}/usr/share/pixmaps
install -m 755 src/Setup/Linux/usr/bin/veracrypt %{buildroot}/usr/bin/veracrypt
install -m 644 src/Setup/Linux/usr/share/applications/veracrypt.desktop %{buildroot}/usr/share/applications/veracrypt.desktop
install -m 644 src/Setup/Linux/usr/share/veracrypt/doc/*.pdf %{buildroot}/usr/share/veracrypt/doc
install -m 644 src/Setup/Linux/usr/share/veracrypt/doc/License.txt %{buildroot}/usr/share/veracrypt/doc/License.txt
install -m 644 src/Setup/Linux/usr/share/pixmaps/veracrypt.xpm %{buildroot}/usr/share/pixmaps/veracrypt.xpm

%clean
rm -rf %{buildroot}

%post

%preun

%files 
%defattr(-, root, root, 0755)
%{_bindir}/veracrypt
%{_datadir}/%{name}/doc/*.pdf
%{_datadir}/%{name}/doc/License.txt
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/veracrypt.xpm

%changelog
* Tue May  3 2016 René Vermare <rene@Vermare.nl> 1.18-0
- Build from version 1.18 beta5 for Fedora 23 (x86_64).

* Fri Apr  1 2016 René Vermare <rene@Vermare.nl> 1.17-2
- Build for Fedora 23 (x86_64), with losetup patch.

* Sun Feb 21 2016 René Vermare <rene@Vermare.nl> 1.17-1
- Build for Fedora 23 (x86_64), with gcc5 (abi) patch.

* Mon Feb 15 2016 René vermare <rene@vermare.nl> 1.17-0
- Support UNICODE passwords: all characters are now accepted in passwords
  (except Windows system encryption).
- Cut mount/boot time by half thanks to a clever optimization of key derivation   (found by Xavier de Carné de Carnavalet).
- Optimize Whirlpool code by using assembly (25% speed gain compared to previous  code).
- Add support for creating exFAT volumes.
- Add GUI indicator for the amount of randomness gathered using mouse movement.
- Include new icons and graphics contributed by Andreas Becker
  (http://www.andreasbecker.de)

* Sun Jan 31 2016 René Vermare <rene@Vermare.nl> 1.16-0
- Build for Fedora 23 (x86_64).

* Fri Oct 30 2015 René vermare <rene@vermare.nl> 1.16-0
- Modify patch for CVE-2015-7358 vulnerability.
- Fix failure to restore volume header from an external file
  in some configurations.
- Add option to disable “Evil Maid” attack detection for those
  encountering false positive cases
- By default, don’t try to mount using empty password when default
  keyfile configured or keyfile specified in command line.
  Add option to restore the old behavior.

* Fri Sep 25 2015 René Vermare <rene@Vermare.nl> 1.14-0
- Implement "Dynamic Mode" by supporting a Personal Iterations Multiplier (PIM).
- Support supplying password using stdin in non interactive mode
  (contributed by LouisTakePILLz)
- Mask and unmask PIM value in GUI and bootloader like the password.

* Tue Jun 2 2015 René Vermare <rene@Vermare.nl> 1.0f-2
- Build for Fedora 22 (armv7hl).

* Thu Apr 16 2015 René Vermare <rene@Vermare.nl> 1.0f-2
- Mounting speed improvement, up to 20% quicker on 64-bit
- (contributed by Nils Maier)
- Add option to set default hash/TrueCryptMode used for mounting volumes.
- Use TrueCryptMode/Hash specified in command line in password dialog. 
- Misc other fixes

* Mon Mar 9 2015 René Vermare <rene@Vermare.nl> 1.0f-1
- Rebuild with correct (Build)requirements

* Sat Mar 7 2015 René Vermare <rene@Vermare.nl> 1.0f-1
- Build complete with WxWidgets (for arm arch.)

* Sun Feb 8 2015 René Vermare <rene@Vermare.nl> 1.0f-1
- Initial build for arm arch.
